apiVersion: org.eclipse.che/v2
kind: CheCluster
metadata:
  annotations:
    che.eclipse.org/checluster-defaults-cleanup: >-
      {"containers.resources":"true","spec.components.dashboard.headerMessage":"true","spec.components.pluginRegistry.openVSXURL":"true","spec.devEnvironments.defaultComponents":"true","spec.devEnvironments.defaultEditor":"true","spec.devEnvironments.disableContainerBuildCapabilities":"true"}
  resourceVersion: '126082585'
  name: devspaces
  uid: b2a4e8a9-f294-4664-8648-526f8c15c7a2
  creationTimestamp: '2023-05-15T12:23:47Z'
  generation: 8
  managedFields:
    - apiVersion: org.eclipse.che/v2
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:components':
            .: {}
            'f:cheServer':
              .: {}
              'f:debug': {}
              'f:logLevel': {}
            'f:dashboard': {}
            'f:database':
              .: {}
              'f:credentialsSecretName': {}
              'f:externalDb': {}
              'f:postgresDb': {}
              'f:postgresHostName': {}
              'f:postgresPort': {}
              'f:pvc':
                .: {}
                'f:claimSize': {}
            'f:metrics':
              .: {}
              'f:enable': {}
          'f:containerRegistry': {}
          'f:devEnvironments':
            .: {}
            'f:defaultNamespace':
              .: {}
              'f:autoProvision': {}
              'f:template': {}
            'f:maxNumberOfWorkspacesPerUser': {}
            'f:secondsOfInactivityBeforeIdling': {}
            'f:secondsOfRunBeforeIdling': {}
            'f:startTimeoutSeconds': {}
            'f:storage':
              .: {}
              'f:pvcStrategy': {}
          'f:gitServices': {}
          'f:networking':
            .: {}
            'f:auth':
              .: {}
              'f:gateway':
                .: {}
                'f:configLabels':
                  .: {}
                  'f:app': {}
                  'f:component': {}
      manager: unknown
      operation: Update
      time: '2023-05-15T12:23:47Z'
    - apiVersion: org.eclipse.che/v2
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:components':
            'f:devWorkspace':
              'f:runningLimit': {}
      manager: Mozilla
      operation: Update
      time: '2023-05-15T14:08:54Z'
    - apiVersion: org.eclipse.che/v2
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:che.eclipse.org/checluster-defaults-cleanup': {}
          'f:finalizers':
            'v:"consolelink.finalizers.che.eclipse.org"': {}
            'v:"container-build.finalizers.che.eclipse.org"': {}
        'f:status':
          'f:chePhase': {}
          'f:cheURL': {}
          'f:gatewayPhase': {}
          'f:workspaceBaseDomain': {}
      manager: manager
      operation: Update
      time: '2023-05-15T14:21:56Z'
    - apiVersion: org.eclipse.che/v2
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:cheVersion': {}
      manager: manager
      operation: Update
      subresource: status
      time: '2023-05-15T14:27:30Z'
  namespace: openshift-devspaces
  finalizers:
    - checluster.che.eclipse.org
    - cheGateway.clusterpermissions.finalizers.che.eclipse.org
    - cheWorkspaces.clusterpermissions.finalizers.che.eclipse.org
    - namespaces-editor.permissions.finalizers.che.eclipse.org
    - devWorkspace.permissions.finalizers.che.eclipse.org
    - oauthclients.finalizers.che.eclipse.org
    - dashboard.clusterpermissions.finalizers.che.eclipse.org
    - container-build.finalizers.che.eclipse.org
    - consolelink.finalizers.che.eclipse.org
spec:
  components:
    cheServer:
      debug: false
      logLevel: INFO
    dashboard: {}
    database:
      credentialsSecretName: postgres-credentials
      externalDb: false
      postgresDb: dbche
      postgresHostName: postgres
      postgresPort: '5432'
      pvc:
        claimSize: 1Gi
    devWorkspace:
      runningLimit: '100'
    devfileRegistry: {}
    imagePuller:
      enable: false
      spec: {}
    metrics:
      enable: true
    pluginRegistry: {}
  containerRegistry: {}
  devEnvironments:
    containerBuildConfiguration:
      openShiftSecurityContextConstraint: container-build
    defaultNamespace:
      autoProvision: true
      template: <username>-devspaces
    maxNumberOfWorkspacesPerUser: -1
    secondsOfInactivityBeforeIdling: 1800
    secondsOfRunBeforeIdling: -1
    startTimeoutSeconds: 300
    storage:
      pvcStrategy: per-user
  gitServices: {}
  networking:
    auth:
      gateway:
        configLabels:
          app: che
          component: che-gateway-config
status:
  chePhase: Active
  cheURL: 'https://devspaces.apps.ocp410-dnochev.crw-qe.com'
  cheVersion: 3.6.0
  devfileRegistryURL: 'https://devspaces.apps.ocp410-dnochev.crw-qe.com/devfile-registry'
  gatewayPhase: Established
  pluginRegistryURL: 'https://devspaces.apps.ocp410-dnochev.crw-qe.com/plugin-registry/v3'
  workspaceBaseDomain: apps.ocp410-dnochev.crw-qe.com
